{$apptype console}
uses
	Testlib, SysUtils;

var
	i : integer;
	sout, sans : string;
	perfect : boolean;

begin
	i := 1;
	while not ans.EOF do begin
		sans := ans.ReadString;
		if ouf.EOF then
			Quit(_WA, 'Premature end-of-file');
		sout := ouf.ReadString;
		if sans <> sout then
			Quit(_WA, 'Mismatch at line #' + inttostr(i));
		inc(i);
	end;
	// DELIBERATE HUMANISM HERE (allow any whitespaces against statement)
	perfect := ouf.EOF;
	if not ouf.SeekEOF then 
		Quit(_WA, 'End-of-file expected');
	if perfect then
		Quit(_OK, 'Perfect')
	else
		Quit(_OK, 'Some WS after last line');
end.
